# Uses of Interface
org.globus.ftp.dc.DataChannelReader

Packages that use DataChannelReader
Package
Description
org.globus.ftp.dc

## Uses of DataChannelReader in org.globus.ftp.dc

Classes in org.globus.ftp.dc that implement DataChannelReader
Modifier and Type
Class
Description
`class`
`EBlockImageDCReader`
`class`
`StreamAsciiDCReader`
`class`
`StreamImageDCReader`
Fields in org.globus.ftp.dc declared as DataChannelReader
Modifier and Type
Field
Description
`protected DataChannelReader`
TransferSinkThread.`reader`
Methods in org.globus.ftp.dc that return DataChannelReader
Modifier and Type
Method
Description
`DataChannelReader`
AbstractDataChannel.`getDataChannelSource(TransferContext context)`